package com.zego.ktvchorus.model;

public class Constants {
    public static final int STATE_NORMAL = 0;
    public static final int STATE_REFRESH = 1;
    public static final int STATE_LOADING = 2;
    public static final int STATE_FINISH = 3;
    public static final int STATE_ERROR = 4;

    public static final int MAX_STAGE_NUM = 8;
    public static final int SOUND_ID_SURFIX_NUM = 5;
    public static final String MV_STREAM_SURFIX = "_mv";
    public static final String MIX_STREAM_SURFIX = "_ktv_mix";
    public static final String MIX_STREAM_TASK_PREFIX = "ktv_mix_task_";

    public static enum MediaPlayerBehavior {
        PLAYING(0),
        PAUSE(1),
        STOP(2),
        RESUME(3);

        private final int value;

        MediaPlayerBehavior(int value) {
            this.value = value;
        }

        public int value() {
            return this.value;
        }

        public static MediaPlayerBehavior getMediaPlayerBehavior(int value) {
            if (PLAYING.value == value) {
                return PLAYING;
            } else {
                return STOP.value == value ? STOP : null;
            }
        }
    }

    public static enum OperationType {
        MIC(1),
        OFF_STAGE(2),
        ON_STAGE(3),
        ORIGINAL(4),
        NEXT_SONG(5),
        SELECT_SONG(6),
        CANCEL_SONG(7),
        GET_ONSTAGE_USERS(8),
        CLOSE_ROOM(9),
        GET_ORDERED_SONGS(10);
        private final int value;

        private OperationType(int value) {
            this.value = value;
        }

        public int value() {
            return this.value;
        }
    }


}

