package com.zego.ktvchorus.model;

import android.content.Context;
import android.content.SharedPreferences;

import com.zego.ktvchorus.BaseApplication;

/**
 * Zego App ID 和 Sign Data，需从Zego主页申请。
 */
public class ZegoDataCenter {

    private static final String SP_NAME = "sp_name_base";
    private static final String SP_KEY_USER_ID = "sp_key_user_id";
    private static final String SP_KEY_USER_NAME = "sp_key_user_name";

    private static final String SP_KEY_ROOM_ID = "sp_key_room_id";

    public static final boolean IS_TEST_ENV = false;

    public static final String APP_SIGN = "";

    public final static long APP_ID = ;

    public static final Long USER_ID; // 根据自己情况初始化唯一识别USER

    static {
        USER_ID = getUserID(); // 使用 SERIAL 作为用户的唯一识别
    }

    /**
     * 获取保存的UserName，如果没有，则新建
     */
    private static Long getUserID() {
        SharedPreferences sp = BaseApplication.sApplication.getSharedPreferences(SP_NAME, Context.MODE_PRIVATE);
        Long userID = sp.getLong(SP_KEY_USER_ID, 0);
        if (userID == 0) {
            userID = System.currentTimeMillis();
            // 保存用户名
            sp.edit().putLong(SP_KEY_USER_ID, userID).apply();
        }
        return userID;
    }

    public static String getUserName() {
        SharedPreferences sp = BaseApplication.sApplication.getSharedPreferences(SP_NAME, Context.MODE_PRIVATE);
        return sp.getString(SP_KEY_USER_NAME, "");
    }

    public static void setUserName(String userName) {
        SharedPreferences sp = BaseApplication.sApplication.getSharedPreferences(SP_NAME, Context.MODE_PRIVATE);
        SharedPreferences.Editor editor = sp.edit();
        editor.putString(SP_KEY_USER_NAME, userName);
        editor.apply();
    }

    public static String getRoomID() {
        SharedPreferences sp = BaseApplication.sApplication.getSharedPreferences(SP_NAME, Context.MODE_PRIVATE);
        return sp.getString(SP_KEY_ROOM_ID, "");
    }

    public static void setRoomID(String roomID) {
        SharedPreferences sp = BaseApplication.sApplication.getSharedPreferences(SP_NAME, Context.MODE_PRIVATE);
        SharedPreferences.Editor editor = sp.edit();
        editor.putString(SP_KEY_ROOM_ID, roomID);
        editor.apply();
    }
}
