package com.zego.ktvchorus.rtc;

import com.zego.ktvchorus.rtc.callbacks.IOrderSongListUpdate;

import java.util.ArrayList;
import java.util.List;

public class KTVRoomOrderSongManager {

    private static volatile KTVRoomOrderSongManager singleton = null;
    private List<ZGKTVCopyrightedSong> orderList = new ArrayList<>();
    private List<IOrderSongListUpdate> mOrderSongListUpdateList = new ArrayList<>();

    public static KTVRoomOrderSongManager getInstance() {
        if (singleton == null) {
            synchronized (ZGKTVCopyrightedMusicManager.class) {
                if (singleton == null) {
                    singleton = new KTVRoomOrderSongManager();
                }
            }
        }
        return singleton;
    }

    public List<ZGKTVCopyrightedSong> getOrderList() {
        return orderList;
    }

    public void addOrderSong(ZGKTVCopyrightedSong orderedSongItemInfo, boolean needSwitchMenu) {
        orderList.add(orderedSongItemInfo);
        for (IOrderSongListUpdate listener : mOrderSongListUpdateList) {
            listener.orderSongListUpdate(orderList, needSwitchMenu);
        }
    }

    public void addOrderSongListUpdateListener(IOrderSongListUpdate orderSongListUpdate) {
        this.mOrderSongListUpdateList.add(orderSongListUpdate);
    }

    public void clearOrderList() {
        orderList = new ArrayList<>();
    }
}