package com.zego.ktvchorus.rtc;


import android.text.TextUtils;

import com.zego.ktvchorus.utils.L;

import java.util.HashMap;
import java.util.Map;

import im.zego.lyricview.model.ZGKTVLyric;

public class ZGKTVLyricManager {

    private static final String TAG = "ZGKTVLyricManager";

    private Map<String, ZGKTVLyric> mLyricMap = new HashMap<>();

    private static volatile ZGKTVLyricManager mInstance = new ZGKTVLyricManager();

    private ZGKTVLyricManager() {
    }

    public static ZGKTVLyricManager getInstance() {
        if (mInstance == null) {
            synchronized (ZGKTVLyricManager.class) {
                if (mInstance == null) {
                    mInstance = new ZGKTVLyricManager();
                }
            }
        }
        return mInstance;
    }

    public ZGKTVLyric getLyric(String songID) {
        return mLyricMap.get(songID);
    }

    public void putLyric(String songID, ZGKTVLyric lyric) {
        L.i(TAG, "putLyric :songID:" + songID + "lyric 为空" + (lyric == null));
        if (lyric == null) {
            lyric = new ZGKTVLyric();
            lyric.setLrcFormat("[00:00.00]未获得歌词");
        }

        if (TextUtils.isEmpty(lyric.getLrcFormat())) {
            lyric.setLrcFormat("[00:00.00]未获得歌词");
        }


        mLyricMap.put(songID, lyric);
        ZGKTVCopyrightedSong song = ZGKTVPlayerManager.getInstance().getSong(songID);
        if (song != null) {
            song.setLyric(lyric);
        }

    }

    public void clearData() {
        mLyricMap.clear();
    }
}
