package com.zego.ktvchorus.ui;

import android.os.Bundle;
import android.text.TextUtils;
import android.widget.EditText;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import com.zego.ktvchorus.R;
import com.zego.ktvchorus.model.ZGRoomIdentifier;
import com.zego.ktvchorus.model.ZegoDataCenter;
import com.zego.ktvchorus.rtc.ZGRealTimeKtvManager;
import com.zego.ktvchorus.utils.T;

public class MainActivity extends AppCompatActivity {

    private EditText etRoomID;
    private EditText etNickName;
    private boolean isJoining;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        etRoomID = findViewById(R.id.et_room_name);
        etRoomID.setText(ZegoDataCenter.getRoomID());
        etNickName = findViewById(R.id.et_nick_name);
        etNickName.setText(ZegoDataCenter.getUserName());

        findViewById(R.id.bt_anchor_join_room).setOnClickListener(v -> {
            joinRoom(ZGRoomIdentifier.ZGRoomAnchor);
        });
        findViewById(R.id.bt_audience_join_room).setOnClickListener(v -> {
            joinRoom(ZGRoomIdentifier.ZGRoomAudience);
        });
    }

    private void joinRoom(ZGRoomIdentifier role) {
        if (isJoining) {
            return;
        }
        isJoining = true;
        String roomId = etRoomID.getText().toString();
        if (TextUtils.isEmpty(roomId)) {
            Toast.makeText(this, "请输入房间ID!", Toast.LENGTH_SHORT).show();
            isJoining = false;
            return;
        }
        ZegoDataCenter.setRoomID(roomId);
        String nickName = etNickName.getText().toString();
        if (TextUtils.isEmpty(nickName)) {
            Toast.makeText(this, "请输入用户名!", Toast.LENGTH_SHORT).show();
            isJoining = false;
            return;
        }
        ZegoDataCenter.setUserName(nickName);

        ZGRealTimeKtvManager.getInstance().setUserID(ZegoDataCenter.USER_ID, nickName);
        ZGRealTimeKtvManager.getInstance().init(this, errorCode -> {
            isJoining = false;
            if (errorCode == 0) {
                ZGRealTimeKtvManager.getInstance().joinRoomWithRoomID(roomId, role);
                KTVRoomActivity.start(this);
            } else {
                T.show("版权音乐模块未初始化");
            }
        });
    }
}