package com.zego.ktvchorus.ui.adapter;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.SeekBar;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.zego.ktvchorus.R;
import com.zego.ktvchorus.model.VolumeAdjustInfo;

import java.util.ArrayList;

public class VolumeAdjustAdapter extends RecyclerView.Adapter<VolumeAdjustAdapter.VolumViewHolder> {
    private ArrayList<VolumeAdjustInfo> mAdjustItems = new ArrayList<>();
    private onSeekBarChange mListener;

    @NonNull
    @Override
    public VolumViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext()).inflate(R.layout.ktv_volum_adjust_item, parent, false);
        return new VolumViewHolder(view);

    }

    public void setListener(onSeekBarChange mListener) {
        this.mListener = mListener;
    }

    @Override
    public void onBindViewHolder(@NonNull VolumViewHolder holder, int position) {
        VolumeAdjustInfo volumeAdjustInfo = mAdjustItems.get(position);

        holder.itemName.setText(volumeAdjustInfo.getItemName());
        holder.itemSeek.setMax(volumeAdjustInfo.getMaxProgress());
        holder.itemSeek.setProgress(volumeAdjustInfo.getProgress());

        holder.itemSeek.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener() {
            @Override
            public void onProgressChanged(SeekBar seekBar, int progress, boolean fromUser) {

            }

            @Override
            public void onStartTrackingTouch(SeekBar seekBar) {

            }

            @Override
            public void onStopTrackingTouch(SeekBar seekBar) {
                if (mListener != null) {
                    mListener.onSeekBarChange(seekBar, volumeAdjustInfo);
                }

            }
        });
    }

    @Override
    public int getItemCount() {
        return mAdjustItems.size();
    }

    public void initAdjustItems(ArrayList list) {
        mAdjustItems = list;
        notifyDataSetChanged();
    }

    static class VolumViewHolder extends RecyclerView.ViewHolder {

        private TextView itemName;
        private SeekBar itemSeek;

        public VolumViewHolder(@NonNull View itemView) {
            super(itemView);
            itemName = itemView.findViewById(R.id.item_name);
            itemSeek = itemView.findViewById(R.id.item_seek);
        }

    }

    public interface onSeekBarChange {
        public void onSeekBarChange(SeekBar seekBar, VolumeAdjustInfo info);
    }
}
